OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
link_graph_legend_widget.h File Reference

Types related to the linkgraph_legend widgets. More...

`#include "../cargo_type.h"`

Go to the source code of this file.

## Enumerations
enum | LinkGraphLegendWidgets { WID_LGL_CAPTION, WID_LGL_SATURATION, WID_LGL_SATURATION_FIRST, WID_LGL_SATURATION_LAST = WID_LGL_SATURATION_FIRST + 11, WID_LGL_COMPANIES, WID_LGL_COMPANY_FIRST, WID_LGL_COMPANY_LAST = WID_LGL_COMPANY_FIRST + MAX_COMPANIES - 1, WID_LGL_COMPANIES_ALL, WID_LGL_COMPANIES_NONE, WID_LGL_CARGOES, WID_LGL_CARGO_FIRST, WID_LGL_CARGO_LAST = WID_LGL_CARGO_FIRST + NUM_CARGO - 1, WID_LGL_CARGOES_ALL, WID_LGL_CARGOES_NONE }
| Widgets of the WC_LINKGRAPH_LEGEND. More...

## Detailed Description

Types related to the linkgraph_legend widgets.

Definition in file link_graph_legend_widget.h.

## Enumeration Type Documentation

enum LinkGraphLegendWidgets

Widgets of the WC_LINKGRAPH_LEGEND.

Enumerator:

  WID_LGL_CAPTION | Caption widget.
  WID_LGL_SATURATION | Saturation legend.
  WID_LGL_COMPANIES | Company selection widget.
  WID_LGL_CARGOES | Cargo selection widget.

Definition at line 19 of file link_graph_legend_widget.h.